/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-03-21
 * 描述            ：交接班点检项目基础表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Mes.Shift.vo;
import java.io.Serializable;
import java.util.Date;

import market.Mes.Shift.mapper.MesShiftBaseCheckMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="MES_SHIFT_BASE_CHECK", namespace=MesShiftBaseCheckMapper.class)
public class MesShiftBaseCheck extends BaseVO implements Serializable {
	
	private String check_item_type_c;
	private String check_item_type_n;
	
	public String getCheck_item_type_c() {
		return check_item_type_c;
	}
	public void setCheck_item_type_c(String check_item_type_c) {
		this.check_item_type_c = check_item_type_c;
	}
	public String getCheck_item_type_n() {
		return check_item_type_n;
	}
	public void setCheck_item_type_n(String check_item_type_n) {
		this.check_item_type_n = check_item_type_n;
	}

	/** 
	 * 点检项目代码
	 */ 
	@Id
	private String check_item_code;
	public String getCheck_item_code() {
		return this.check_item_code;
	}
	public void setCheck_item_code(String check_item_code) {
		this.check_item_code = check_item_code;
	}

	/** 
	 * 点检项目名称
	 */ 
	@Column
	private String check_item_name;
	public String getCheck_item_name() {
		return this.check_item_name;
	}
	public void setCheck_item_name(String check_item_name) {
		this.check_item_name = check_item_name;
	}

	/** 
	 * 点检项目类别
	 */ 
	@Column
	private String check_item_type;
	public String getCheck_item_type() {
		return this.check_item_type;
	}
	public void setCheck_item_type(String check_item_type) {
		this.check_item_type = check_item_type;
	}

	/** 
	 * 有效标志（1有效、0无效）
	 */ 
	@Column
	private String valid_flag;
	public String getValid_flag() {
		return this.valid_flag;
	}
	public void setValid_flag(String valid_flag) {
		this.valid_flag = valid_flag;
	}

	/** 
	 * 显示顺序
	 */ 
	@Column
	private Long display_order;
	public Long getDisplay_order() {
		return this.display_order;
	}
	public void setDisplay_order(Long display_order) {
		this.display_order = display_order;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_opr;
	public String getCreate_opr() {
		return this.create_opr;
	}
	public void setCreate_opr(String create_opr) {
		this.create_opr = create_opr;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_opr;
	public String getUpdate_opr() {
		return this.update_opr;
	}
	public void setUpdate_opr(String update_opr) {
		this.update_opr = update_opr;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

}
